package com.ys.bdtp.android.base.extensions

import android.graphics.PointF
import android.graphics.RectF

/**
 * RectF位置移dx,dy
 *
 * @param   dx          横向移动的距离
 * @param   dy          纵向移动的距离
 * @return  移动后的RectF
 */
fun RectF.adjusted(dx: Float, dy: Float): RectF {
    return RectF(this.left + dx, this.top + dy, this.right + dx, this.bottom + dy)
} // Function adjusted()

/**
 * RectF位置移offset
 *
 * @param   offset      移动偏移量
 * @return  移动后的RectF
 */
fun RectF.adjusted(offset: PointF): RectF {
    return adjusted(offset.x, offset.y)
} // Function adjusted()